<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
  <pomVersion>3</pomVersion>
  <extend>${basedir}/../../etc/project.xml</extend>

  <name>ActiveMQ :: Container</name>
  <id>activemq-container</id>
  <shortDescription>This module contains some experimental code for a lightweight JMS container.</shortDescription>
  <description>
The code consists of example POJOs which should be usable inside a JMS container.
i.e. there are no API dependencies on the container whatnosever.

Its pretty easy to write useful Message POJOs without any API dependencies whatsoever.
There's also a couple of helper classes you can use to provide some JMS helper methods.
  </description>

  <package>org.activemq</package>
  <packageGroups>
    <packageGroup>
      <title>ActiveMQ Container</title>
      <packages>org.activemq</packages>
    </packageGroup>
  </packageGroups>

  <!-- ============ -->
  <!-- Dependencies -->
  <!-- ============ -->
  <dependencies>

    <dependency>
      <groupId>geronimo-spec</groupId>
      <artifactId>geronimo-spec-j2ee-connector</artifactId>
      <version>${geronimo_spec_j2ee_connector_version}</version>
      <properties>
        <rar.bundle>false</rar.bundle>
        <lib>true</lib>
      </properties>
    </dependency>

    <dependency>
      <groupId>activemq</groupId>
      <artifactId>activemq-core</artifactId>
      <version>${pom.currentVersion}</version>
      <properties>
        <eclipse.dependency>true</eclipse.dependency>
      </properties>
    </dependency>
    <dependency>
      <groupId>activemq</groupId>
      <artifactId>activemq-ra</artifactId>
      <version>${pom.currentVersion}</version>
      <properties>
        <eclipse.dependency>true</eclipse.dependency>
      </properties>
    </dependency>
    <dependency>
      <groupId>activeio</groupId>
      <artifactId>activeio</artifactId>
      <version>${activeio_version}</version>
    </dependency>
    <dependency>
      <id>springframework</id>
      <artifactId>spring</artifactId>
      <version>${spring_version}</version>
      <url>http://www.springframework.org</url>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <id>commons-pool</id>
      <artifactId>commons-pool</artifactId>
      <version>${commons_pool_version}</version>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>
    <dependency>
      <id>commons-collections</id>
      <artifactId>commons-collections</artifactId>
      <version>${commons_collections_version}</version>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>
      
    <!-- to test the XA support -->
    <dependency>
      <id>jotm</id>
      <artifactId>jotm</artifactId>
      <version>1.5.3</version>
    </dependency>
    <dependency>
      <id>jotm+carol</id>
      <artifactId>jotm-carol</artifactId>
      <version>1.5.3</version>
    </dependency>
    <dependency>
      <id>jotm+jrmp+stubs</id>
      <artifactId>jotm-jrmp-stubs</artifactId>
      <version>1.5.3</version>
    </dependency>

    <!-- Axion SQL DB used for testing JDBC message store -->
    <dependency>
      <groupId>axion</groupId>
      <artifactId>axion</artifactId>
      <version>${axion_version}</version>
    </dependency>
    <dependency>
      <groupId>commons-collections</groupId>
      <artifactId>commons-collections</artifactId>
      <version>${commons_collections_version}</version>
    </dependency>
    <dependency>
      <groupId>commons-primitives</groupId>
      <artifactId>commons-primitives</artifactId>
      <version>${commons_primitives_version}</version>
    </dependency>
    <dependency>
      <groupId>regexp</groupId>
      <artifactId>regexp</artifactId>
      <version>${regexp_version}</version>
    </dependency>

    <!-- this should be an optional dependency now, when 1.1.2 of Spring is out -->
    <dependency>
      <id>aopalliance</id>
      <artifactId>aopalliance</artifactId>
      <version>1.0</version>
      <properties>
        <war.bundle>true</war.bundle>
      </properties>
    </dependency>
  </dependencies>


  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>

    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
            <include>**/*.xml</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
    </unitTest>
  </build>

</project>
